### Type Parameters

### Hierarchy

- PrintLayoutInfo

## Index

### Properties

- attributes
- dpi
- dpis
- formats
- layout
- layouts
- legend
- scale
- scales
- simpleAttributes

## Properties

### attributes

attributes: string[]

- Defined in src/print/component.js:51

The list of all the attributes name.

### dpi

dpi: number

- Defined in src/print/component.js:52

The selected 'dpi'.

### dpis

dpis: number[]

- Defined in src/print/component.js:53

The list of 'dpis'.

### formats

formats: Object

- Defined in src/print/component.js:54

The list of active 'formats' (png, pdf, ...).

### layout

layout: string

- Defined in src/print/component.js:55

The selected 'layout'.

### layouts

layouts: string[]

- Defined in src/print/component.js:56

The list of 'layouts'.

### legend

legend: boolean

- Defined in src/print/component.js:57

The legend checkbox.

### scale

scale: number

- Defined in src/print/component.js:58

The selected 'scale'.

### scales

scales: number[]

- Defined in src/print/component.js:59

The list of 'scales'

### simpleAttributes

simpleAttributes: MapFishPrintCapabilitiesLayoutAttribute[]

- Defined in src/print/component.js:49

Custom print layoutInfo.

Generated using TypeDoc